Bug 814902 - [abrt] firewalld-0.2.4-1.fc17: errors.py:84:get_code:KeyError: 'None'
[abrt] firewalld-0.2.4-1.fc17: errors.py:84:get_code:KeyError: 'None'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:b9b970a61fb05f1887230f11540...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 03:09 EDT by Pierguido Lambri
Modified: 2012-04-24 05:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.2.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 05:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierguido Lambri 2012-04-21 03:09:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/firewall-cmd --remove --interface=em1
executable:     /usr/bin/firewall-cmd
kernel:         3.3.2-1.fc17.x86_64
time:           Fri 20 Apr 2012 08:02:56 AM BST
uid:            0
username:       root

backtrace:
:errors.py:84:get_code:KeyError: 'None'
:
:Traceback (most recent call last):
:  File "/usr/bin/firewall-cmd", line 447, in <module>
:    code = FirewallError.get_code(e.message)
:  File "/usr/lib/python2.7/site-packages/firewall/errors.py", line 84, in get_code
:    return FirewallError.codes[ecode]
:KeyError: 'None'
:
:Local variables in innermost frame:
:msg: 'None'
:ecode: 'None'

smolt_data:
:
:
:General
:=================================
:UUID: a9c0cbf0-c1c7-4f4a-a016-f44229611958
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5053.41
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 3753
:System Swap: 5789
:Vendor: LENOVO
:System: 2537CT4 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_piernb-lv_root / ext4 4096 4096 13081819 11887593 11232233 3276800 3130065 3130065
:/dev/sda1 /boot ext4 1024 1024 508745 457473 431873 128016 127738 127738
:/dev/mapper/luks-2b444ee7-51ae-4cae-8612-6f2d9f492f19 /home ext4 4096 4096 63348345 58686729 55515632 15859712 15719338 15719338
:
Comment 1 Jiri Popelka 2012-04-23 05:26:59 EDT
This should be already fixed with
http://git.fedorahosted.org/git/?p=firewalld.git;a=commitdiff;h=dd1fc33eb3a8cbeed32a9c7e64a08594e6242348

Please update to firewalld-0.2.5-1.fc17 from updates-testing with:
# su -c 'yum update --enablerepo=updates-testing firewalld'
and try to reproduce the problem again. Thanks
Comment 2 Jiri Popelka 2012-04-24 05:00:36 EDT
firewalld-0.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If
problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.